/*------------------------------------*\
  #Header
\*------------------------------------*/
header {
	position: fixed;
	width: 100%;
	height: $header_height;
	top: 0;
	left: 0;
	background: #fff;
	z-index: 14;
	padding: 0 15px;
	text-align: center;
	box-shadow: 0 0 5px rgba(0, 0, 0, .8);
}

.logoWrap {
	float: left;
	margin: 0;
	width: 30%;
	height: $header_height;
	a {
		display: block;
		font-size: 0;
		line-height: 0;
		background: url(../images/logo_gray.png) no-repeat center center;
		height: $header_height;
		width: 100%;
		background-size: 100% auto;
	}
}

.slogan {
	position: absolute;
	top: 40px;
	left: 0;
	width: 100%;
	height: 0;
	overflow: hidden;
	transition: height .6s;
	background: url(../images/slogan.png) no-repeat center center/80% auto;
}

.header_func {
	float: right;
	display: flex;
	align-items: center;
	height: $header_height;
	width: 46%;
	transition: all .6s;
	a {
		flex-grow: 1;
		height: 40px;
		background-size: 80% auto;
		transition: height .6s;
		&#locToggle {
			background-position: center -0.5%;
		}
		&#bagToggle {
			background-position: center 11.8%;
			&:hover, &:active {
				background-position: center 17.2%;
			}
		}
		&#menuToggle {
			background-position: center 23.2%;
			margin-right: -5px;//新增靠右設定
		}
	}
}

.locWrap {
	@extend %header_part;
	.btnWrap {
		bottom: 30px;
		left: 0;
		position: absolute;
		width: 100%;
	}
	.btn {
		display: inline-block;
		width: 40px;
		height: 40px;
		line-height: 40px;
		font-size: 14px;
		color: #fff;
		background-color: $primary_color;
		border-radius: 50% 50%;
	}
}

.loc_inner {
	position: relative;
	padding: 45px 0 0;
	height: calc(100vh - #{$header_height} - 60px);
	overflow: auto;
}
.loc_close {
	position: absolute;
	top: 0;
	right: 0;
	width: 30px;
	height: 30px;
	background-position: center 35%;
	background-size: 90% auto;
}
.loc_inputbox {
	margin: 0 0 30px;
	label {
		display: block;
		margin: 0 0 5px;
	}
	select {
		padding: 0 25px 0 0;
		background-position: right 47%;
		background-size: 25px auto;
		color: #888;
		width: 120px;
		// &.mij-lan {
		// 	padding: 0 25px 7px;
		// }
		&.beenSelected {
			color: $primary_color;
		}
	}
}

.mainNav {
	@extend %header_part;
	width: 90vw;
	padding-top: 15px;
	.mainNav_menu {
		margin: 0 0 55px;
	}
	.submenu {
		opacity: 0;
		overflow: hidden;
		&.active {
			margin-bottom: 15px;
		}
		a {
			&.active {
				color: #000;
				font-weight: 600;
			}
		}
	}
	span {
		line-height: 30px;
		&.navEng {
			display: none;
		}
	}
	a.active {
		span {
			color: $primary_color;
			&.navZh {
				display: none;
			}
			&.navEng {
				display: inline;
			}
		}
	}

}
.mainNav_inner {
	@extend .loc_inner;
	height: calc(100vh - #{$header_height} - 30px);
	-webkit-overflow-scrolling: touch;
}
.mainNav_close {
	// width: 30px;
	// height: 30px;
	// background-position: center 40%;
	// background-size: 90% auto;
	// position: fixed;
	// right: 15px;
	// top: $header_height + 15px;
	@extend .loc_close;
}
.locOpened, .menuOpened {
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	
	.logoWrap {
		a {
			display: none;
		}
	}
	.header_func {
		width: 100px;
		height: 0.5*$header_height;
		a {
			height: 25px;
		}		
	}
	.slogan {
		height: 15px;
	}
}
.locOpened {
	.locWrap {
		left: 0;
		// transform: rotateY(0deg);
		opacity: 1;
	}
	.header_func {
		#locToggle {
			background-position: center 6%;
		}
	}
}
.menuOpened {
	.mainNav {
		left: 10vw;
		opacity: 1;
	}
	.header_func {
		#menuToggle {
			background-position: center 29%;
		}
	}
}
